## org.eclipse.emf.common.util
Class DiagnosticException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.emf.common.util.DiagnosticException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  JETException

    public class DiagnosticException

extends java.lang.Exception

A checked exception representing a diagnosed failure.

Diagnostic exceptions contain a diagnostic describing the cause of the exception.

See Also:
  `Diagnostic`, Serialized Form

Constructor Summary
`DiagnosticException(Diagnostic diagnostic)`

Method Summary
`Diagnostic` `getDiagnostic()`
`static CoreException` `toCoreException(DiagnosticException exception)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DiagnosticException

    public DiagnosticException(Diagnostic diagnostic)

Method Detail

### getDiagnostic

    public final Diagnostic getDiagnostic()

### toCoreException

    public static CoreException toCoreException(DiagnosticException exception)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.